Subject: Wine-981025: can't even compile
From: [email-masked] (Mika Löf)

30 Oct 1998 16:35:59 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: [email-masked]

I can't compile Wine-981025 (same error with earlier versions, e.g. Wine-9808xx)

dosvm.c:102: dereferencing pointer to incomplete type
dosvm.c:111: warning: passing arg 3 of 'DOSVM_Dump' from incompatible pointer
type
dosvm.c:119: 'VM86_PICRETURN' undeclared (first use this function)
dosvm.c:121: 'VM86_TRAP' undeclared (first use this function)
dosvm.c:125: warning: passing arg 3 of 'DOSVM_Dump' from incompatible pointer
type
dosvm.c:129: dereferencing pointer to incomplete type
dosvm.c: In function 'DOSVM_Enter':
dosvm.c:139: storage size of 'VM86' isn't known
dosvm.c:182: VM86_ENTER' undeclared (first use this function)
dosvm.c:139: warning: unused variable 'VM86'
make[1]: *** [dosvm.o] Error 1
make[1]: Leaving directory /tmp/wine-981025/loader/dos'
make: *** [loader/dos] Error 2

I'm using Linux 2.0.0 Slackware and whatever libraries comes with that. What am
I missing?

I think I've had this "VM86" error earlier trying to compile some other
programs...

  I've been at autopsies with more party atmosphere.
       -- Edmund : Nob and Nobility
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".